aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/build-all.sh8
-rwxr-xr-xbin/build.sh14
-rwxr-xr-xbin/make-release.sh10
3 files changed, 17 insertions, 15 deletions
diff --git a/bin/build-all.sh b/bin/build-all.sh
index f2420a7..c2256e5 100755
--- a/bin/build-all.sh
+++ b/bin/build-all.sh
@@ -11,12 +11,8 @@ shopt -s globstar
function main {
- if [ "$#" -gt 0 ]; then
- # multiple search terms with "AND"
- SEARCH=( "$@" )
- # memes
- [ "$1" = "me" ] && shift && shift && echo "Make your own $*." && exit 1
- fi
+ # multiple search terms with "AND"
+ [ "$#" -gt 0 ] && SEARCH=( "$@" )
# TODO: detect UI from $0 and/or $*
UI=anduril
diff --git a/bin/build.sh b/bin/build.sh
index d044ca5..ed0a837 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -37,12 +37,14 @@ else
echo "Unrecognized MCU type: '$MCUNAME'"
exit 1
fi
-# ensure the DFP files exist
-if [ ! -d "$DFPPATH" ]; then
- echo "Atmel DFP files not found: '$DFPPATH'"
- echo "Install DFP files with './make dfp'"
- exit 1
-fi
+# skip verification because newer avr-libc doesn't need DFPs,
+# so the DFP shouldn't be mandatory
+## ensure the DFP files exist
+#if [ ! -d "$DFPPATH" ]; then
+# echo "Atmel DFP files not found: '$DFPPATH'"
+# echo "Install DFP files with './make dfp'"
+# exit 1
+#fi
export CC=avr-gcc
export CPP=avr-cpp
diff --git a/bin/make-release.sh b/bin/make-release.sh
index da985d1..6618005 100755
--- a/bin/make-release.sh
+++ b/bin/make-release.sh
@@ -18,9 +18,7 @@ cd "$REPODIR"
#make
# release name
-#REV=$(date +'%Y-%m-%d')
-REV=$(git describe --tags --dirty --match='r2*')
-REV="${REV:1}" # convert 'r2023-...' to '2023-...'
+REV=$(bin/version-string.sh git)
# allow manually specifying a release name
[[ -n "$1" ]] && REV="$1"
@@ -42,6 +40,12 @@ cp -a \
docs/which-hex-file.md \
"$RELDIR"
+# add hardware-specific docs
+for f in $(find hw -name '*.md') ; do
+ d=$(echo "$f" | sed 's/^hw.//; s|/readme||i; s/^/readme./; s|/|-|g;')
+ cp -a "$f" "$RELDIR/$d"
+done
+
# add the .hex files
rename -f 's|hex/anduril.|'"$RELDIR/hex/$RELNAME"'.|;' hex/*.hex